Index: run/jobscripts/compilejob.ksh
===================================================================
--- run/jobscripts/compilejob.ksh	(revision c97d8ec2e8884a26d7646e826de74243755c7f11)
+++ run/jobscripts/compilejob.ksh	(revision b02a07e92bd322edac5c617854791e5cc0e14990)
@@ -28,10 +28,10 @@
 case ${HOST} in
   *ecg*)
+  module unload grib_api
   module unload eccodes
-#  module load python
-  module unload grib_api
+  module load eccodes
+  module load python
   module unload emos
-  module load grib_api/1.27.0
-  module load emos/457-r64
+  module load emos/455-r64
   export FLEXPART_ROOT_SCRIPTS=${HOME}
   export MAKEFILE=Makefile.gfortran
@@ -39,5 +39,5 @@
   *cca*)
   module switch PrgEnv-cray PrgEnv-intel
-  module load grib_api
+  module load eccodes
   module load emos
   module load python
Index: run/jobscripts/job.ksh
===================================================================
--- run/jobscripts/job.ksh	(revision e585e1bf84d6025c3e972a17537553d592ecbbf7)
+++ run/jobscripts/job.ksh	(revision b02a07e92bd322edac5c617854791e5cc0e14990)
@@ -31,13 +31,12 @@
   module unload grib_api
   module unload eccodes
+  module load eccodes
   module unload emos
-#  module load grib_api/1.27.0
-  module load grib_api/1.14.5
-  module load emos/457-r64
+  module load emos/455-r64
   export PATH=${PATH}:${HOME}/flex_extract_v7.1/source/python
   ;;
   *cca*)
   module switch PrgEnv-cray PrgEnv-intel
-  module load grib_api
+  module load eccodes
   module load emos
   module load python
@@ -55,18 +54,19 @@
 cat >${CONTROL}<<EOF
 accmaxstep 12
-acctime 06/18
+acctime 00/12
 acctype FC
 accuracy 24
-addpar 186 187 188 235 139 39 
-area 
+addpar /186/187/188/235/139/39
+area 61.2/-10.0/36.0/32.0
 basetime None
-controlfile CONTROL_EA5.testgrid
+controlfile CONTROL_OD.fastnet
 cwc 0
 dataset None
 date_chunk 3
-debug 1
+debug 0
 destination annep@genericSftp
 dpdeta 1
 dtime 1
+ecapi None
 ecfsdir ectmp:/${USER}/econdemand/
 ecgid at
@@ -74,46 +74,51 @@
 ectrans 1
 ecuid km4a
-end_date 20090108
+end_date 20190212
 eta 1
 etadiff 0
 etapar 77
 expver 1
-format GRIB1
+format GRIB2
 gateway srvx8.img.univie.ac.at
 gauss 0
 gaussian 
 grib2flexpart 0
-grid 1000
+grid 0.1/0.1
 inputdir /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/run/workspace
 install_target None
+job_chunk 1
 job_template job.temp
-left -5000
+left -10.0
 level 137
-levelist 100/to/137
-logicals gauss omega omegadiff eta etadiff dpdeta cwc wrf grib2flexpart ecstorage ectrans debug request public 
-lower 10000
+levelist 1/to/137
+logicals gauss omega omegadiff eta etadiff dpdeta cwc wrf grib2flexpart ecstorage ectrans debug oper request public purefc rrint 
+lower 36.0
 mailfail ${USER} 
 mailops ${USER} 
 makefile Makefile.gfortran
-marsclass EA
-maxstep 0
+marsclass OD
+maxstep 11
 number OFF
 omega 0
 omegadiff 0
+oper 0
 outputdir /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/run/workspace
-prefix EA
+prefix EN
 public 0
+purefc 0
 queue ecgate
 request 2
-resol 159
-right 5000
+resol 1279
+right 32.0
+rrint 0
 smooth 0
-start_date 20090108
-step 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
+start_date 20190212
+step 00 01 02 03 04 05 06 07 08 09 10 11 00 01 02 03 04 05 06 07 08 09 10 11 
 stream OPER
-time 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23 
-type AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN 
-upper 20000
+time 00 00 00 00 00 00 00 00 00 00 00 00 12 12 12 12 12 12 12 12 12 12 12 12 
+type AN FC FC FC FC FC FC FC FC FC FC FC AN FC FC FC FC FC FC FC FC FC FC FC 
+upper 61.2
 wrf 0
+
 EOF
 
Index: run/run.sh
===================================================================
--- run/run.sh	(revision c97d8ec2e8884a26d7646e826de74243755c7f11)
+++ run/run.sh	(revision b02a07e92bd322edac5c617854791e5cc0e14990)
@@ -12,11 +12,11 @@
 # AVAILABLE COMMANDLINE ARGUMENTS TO SET
 #
-# THE USER HAS TO SPECIFY THESE PARAMETER
-#
+# THE USER HAS TO SPECIFY THESE PARAMETERS:
 
 QUEUE='ecgate'
-START_DATE='20090108'
-END_DATE=None
+START_DATE=20190212
+END_DATE=20190212
 DATE_CHUNK=None
+JOB_CHUNK=1
 BASETIME=None
 STEP=None
@@ -25,9 +25,9 @@
 INPUTDIR=''
 OUTPUTDIR=None
-FLEXPART_ROOT_SCRIPTS=None 
+FLEXPARTDIR=None 
 PP_ID=None
 JOB_TEMPLATE='job.temp' 
-CONTROLFILE='CONTROL_EA5.testgrid' 
-DEBUG=1 
+CONTROLFILE='CONTROL_OD.fastnet' 
+DEBUG=0 
 REQUEST=2
 PUBLIC=0
@@ -55,4 +55,7 @@
   parameterlist+=" --date_chunk=$DATE_CHUNK"
 fi
+if [ -n "$JOB_CHUNK" ]; then
+  parameterlist+=" --job_chunk=$JOB_CHUNK"
+fi
 if [ -n "$BASETIME" ]; then
   parameterlist+=" --basetime=$BASETIME"
@@ -73,6 +76,6 @@
   parameterlist+=" --outputdir=$OUTPUTDIR"
 fi
-if [ -n "$FLEXPART_ROOT_SCRIPTS" ]; then
-  parameterlist+=" --flexpart_root_scripts=$FLEXPART_ROOT_SCRIPTS"
+if [ -n "$FLEXPARTDIR" ]; then
+  parameterlist+=" --flexpartdir=$FLEXPARTDIR"
 fi
 if [ -n "$PP_ID" ]; then
@@ -99,5 +102,5 @@
 
 # -----------------------------------------------------------------
-# CALL INSTALLATION SCRIPT WITH DETERMINED COMMANDLINE ARGUMENTS
+# CALL SCRIPT WITH DETERMINED COMMANDLINE ARGUMENTS
 
 $pyscript $parameterlist
Index: run/run_local.sh
===================================================================
--- run/run_local.sh	(revision e585e1bf84d6025c3e972a17537553d592ecbbf7)
+++ run/run_local.sh	(revision b02a07e92bd322edac5c617854791e5cc0e14990)
@@ -19,16 +19,17 @@
 END_DATE=None
 DATE_CHUNK=None
+JOB_CHUNK=None
 BASETIME=None
 STEP=None
 LEVELIST=None
 AREA=None
-INPUTDIR='./workspace/EA5test'
+INPUTDIR='./workspace'
 OUTPUTDIR=None
-FLEXPART_ROOT_SCRIPTS=None 
+FLEXPARTDIR=None 
 PP_ID=None
 JOB_TEMPLATE='' 
-CONTROLFILE='CONTROL_EA5.testgrid' 
+CONTROLFILE='CONTROL_CERA.testgrid' 
 DEBUG=1 
-REQUEST=2
+REQUEST=1
 PUBLIC=0
 
@@ -55,4 +56,7 @@
   parameterlist+=" --date_chunk=$DATE_CHUNK"
 fi
+if [ -n "$JOB_CHUNK" ]; then
+  parameterlist+=" --job_chunk=$JOB_CHUNK"
+fi
 if [ -n "$BASETIME" ]; then
   parameterlist+=" --basetime=$BASETIME"
@@ -73,6 +77,6 @@
   parameterlist+=" --outputdir=$OUTPUTDIR"
 fi
-if [ -n "$FLEXPART_ROOT_SCRIPTS" ]; then
-  parameterlist+=" --flexpart_root_scripts=$FLEXPART_ROOT_SCRIPTS"
+if [ -n "$FLEXPARTDIR" ]; then
+  parameterlist+=" --flexpartdir=$FLEXPARTDIR"
 fi
 if [ -n "$PP_ID" ]; then
@@ -99,5 +103,5 @@
 
 # -----------------------------------------------------------------
-# CALL INSTALLATION SCRIPT WITH DETERMINED COMMANDLINE ARGUMENTS
+# CALL SCRIPT WITH DETERMINED COMMANDLINE ARGUMENTS
 
 $pyscript $parameterlist
Index: templates/compilejob.template
===================================================================
--- templates/compilejob.template	(revision e585e1bf84d6025c3e972a17537553d592ecbbf7)
+++ templates/compilejob.template	(revision b02a07e92bd322edac5c617854791e5cc0e14990)
@@ -28,10 +28,10 @@
 case $${HOST} in
   *ecg*)
+  module unload grib_api
   module unload eccodes
-#  module load python
-  module unload grib_api
+  module load eccodes
+  module load python
   module unload emos
-  module load grib_api/1.26.1
-  module load emos/457-r64
+  module load emos/455-r64
   export FLEXPART_ROOT_SCRIPTS=$fp_root_scripts
   export MAKEFILE=$makefile
@@ -39,5 +39,5 @@
   *cca*)
   module switch PrgEnv-cray PrgEnv-intel
-  module load grib_api
+  module load eccodes
   module load emos
   module load python
Index: templates/job.temp
===================================================================
--- templates/job.temp	(revision e585e1bf84d6025c3e972a17537553d592ecbbf7)
+++ templates/job.temp	(revision b02a07e92bd322edac5c617854791e5cc0e14990)
@@ -17,5 +17,5 @@
 ##PBS -q np
 ##PBS -S /usr/bin/ksh
-## -o /scratch/ms/at/km4a/flex_ecmwf.${PBS_JOBID}.out
+## -o /scratch/ms/at/km4a/flex_ecmwf.$${PBS_JOBID}.out
 ## job output is in .ecaccess_DO_NOT_REMOVE
 ##PBS -j oe
@@ -26,51 +26,52 @@
 set -x
 export VERSION=7.1
-case ${HOST} in
+case $${HOST} in
   *ecg*)
   module load python
   module unload grib_api
   module unload eccodes
+  module load eccodes
   module unload emos
-  module load grib_api/1.26.1
-  module load emos/457-r64
-  export PATH=${PATH}:${HOME}/flex_extract_v7.1/source/python
+  module load emos/455-r64
+  export PATH=$${PATH}:$${HOME}/flex_extract_v7.1/source/python
   ;;
   *cca*)
   module switch PrgEnv-cray PrgEnv-intel
-  module load grib_api
+  module load eccodes
   module load emos
   module load python
-  export SCRATCH=${TMPDIR}
-  export PATH=${PATH}:${HOME}/flex_extract_v7.1/source/python
+  export SCRATCH=$${TMPDIR}
+  export PATH=$${PATH}:$${HOME}/flex_extract_v7.1/source/python
   ;;
 esac
 
-cd ${SCRATCH}
-mkdir -p python$$
-cd python$$
+cd $${SCRATCH}
+mkdir -p python$$$$
+cd python$$$$
 
 export CONTROL=CONTROL
 
-cat >${CONTROL}<<EOF
+cat >$${CONTROL}<<EOF
+$control_content
 EOF
 
 
-submit.py --controlfile=${CONTROL} --inputdir=./work --outputdir=./work 1> prot 2>&1
+submit.py --controlfile=$${CONTROL} --inputdir=./work --outputdir=./work 1> prot 2>&1
 
 if [ $? -eq 0 ] ; then
   l=0
-  for muser in `grep -i MAILOPS ${CONTROL}`; do
-      if [ ${l} -gt 0 ] ; then 
-         mail -s flex.${HOST}.$$ ${muser} <prot
+  for muser in `grep -i MAILOPS $${CONTROL}`; do
+      if [ $${l} -gt 0 ] ; then 
+         mail -s flex.$${HOST}.$$$$ $${muser} <prot
       fi
-      l=$((${l}+1))
+      l=$(($${l}+1))
   done
 else
   l=0
-  for muser in `grep -i MAILFAIL ${CONTROL}`; do
-      if [ ${l} -gt 0 ] ; then 
-         mail -s "ERROR! flex.${HOST}.$$" ${muser} <prot
+  for muser in `grep -i MAILFAIL $${CONTROL}`; do
+      if [ $${l} -gt 0 ] ; then 
+         mail -s "ERROR! flex.$${HOST}.$$$$" $${muser} <prot
       fi
-      l=$((${l}+1))
+      l=$(($${l}+1))
   done
 fi
Index: templates/job.template
===================================================================
--- templates/job.template	(revision e585e1bf84d6025c3e972a17537553d592ecbbf7)
+++ templates/job.template	(revision b02a07e92bd322edac5c617854791e5cc0e14990)
@@ -17,5 +17,5 @@
 ##PBS -q np
 ##PBS -S /usr/bin/ksh
-## -o /scratch/ms/$usergroup/$username/flex_ecmwf.$${PBS_JOBID}.out
+## -o /scratch/ms/$usergroup/$username/flex_ecmwf.$$$${PBS_JOBID}.out
 ## job output is in .ecaccess_DO_NOT_REMOVE
 ##PBS -j oe
@@ -26,51 +26,52 @@
 set -x
 export VERSION=$version_number
-case $${HOST} in
+case $$$${HOST} in
   *ecg*)
   module load python
   module unload grib_api
   module unload eccodes
+  module load eccodes
   module unload emos
-  module load grib_api/1.26.1
-  module load emos/457-r64
-  export PATH=$${PATH}:$fp_root_path
+  module load emos/455-r64
+  export PATH=$$$${PATH}:$fp_root_path
   ;;
   *cca*)
   module switch PrgEnv-cray PrgEnv-intel
-  module load grib_api
+  module load eccodes
   module load emos
   module load python
-  export SCRATCH=$${TMPDIR}
-  export PATH=$${PATH}:$fp_root_path
+  export SCRATCH=$$$${TMPDIR}
+  export PATH=$$$${PATH}:$fp_root_path
   ;;
 esac
 
-cd $${SCRATCH}
-mkdir -p python$$$$
-cd python$$$$
+cd $$$${SCRATCH}
+mkdir -p python$$$$$$$$
+cd python$$$$$$$$
 
 export CONTROL=CONTROL
 
-cat >$${CONTROL}<<EOF
+cat >$$$${CONTROL}<<EOF
+$$control_content
 EOF
 
 
-submit.py --controlfile=$${CONTROL} --inputdir=./work --outputdir=./work 1> prot 2>&1
+submit.py --controlfile=$$$${CONTROL} --inputdir=./work --outputdir=./work 1> prot 2>&1
 
 if [ $? -eq 0 ] ; then
   l=0
-  for muser in `grep -i MAILOPS $${CONTROL}`; do
-      if [ $${l} -gt 0 ] ; then 
-         mail -s flex.$${HOST}.$$$$ $${muser} <prot
+  for muser in `grep -i MAILOPS $$$${CONTROL}`; do
+      if [ $$$${l} -gt 0 ] ; then 
+         mail -s flex.$$$${HOST}.$$$$$$$$ $$$${muser} <prot
       fi
-      l=$(($${l}+1))
+      l=$(($$$${l}+1))
   done
 else
   l=0
-  for muser in `grep -i MAILFAIL $${CONTROL}`; do
-      if [ $${l} -gt 0 ] ; then 
-         mail -s "ERROR! flex.$${HOST}.$$$$" $${muser} <prot
+  for muser in `grep -i MAILFAIL $$$${CONTROL}`; do
+      if [ $$$${l} -gt 0 ] ; then 
+         mail -s "ERROR! flex.$$$${HOST}.$$$$$$$$" $$$${muser} <prot
       fi
-      l=$(($${l}+1))
+      l=$(($$$${l}+1))
   done
 fi
